Name:          libconfig
Version:       1.4.9
Release:       1mamba
Summary:       C/C++ Configuration File Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://www.hyperrealm.com/libconfig/
Source:        http://www.hyperrealm.com/libconfig/libconfig-%{version}.tar.gz
License:       LGPL
Requires(post):%{__install_info}
BuildRequires: texinfo
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{name} is a simple library for processing structured configuration files. The file format is more compact and more readable than XML. And unlike XML, it is type-aware, so it is not necessary to do string parsing in application code. The library includes bindings for both the C and C++ languages. It works on POSIX-compliant UNIX systems.

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
C/C++ Configuration File Library

This package contains static libraries and header files need for development.

%package static
Group:         Development/Libraries
Summary:       Static libraries for %{name}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
C/C++ Configuration File Library

This package contains static libraries need for development.

%prep

%setup -q

iconv -f iso-8859-1 -t utf-8 -o AUTHORS{.utf8,}
mv AUTHORS{.utf8,}

%build
%configure
%make
make pdf

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
	 install-pdf

rm -rf %{buildroot}%{_infodir}/dir

sed -i '/^\/CreationDate/d' %{buildroot}%{_defaultdocdir}/libconfig/libconfig.pdf
sed -i '/^\/ModDate/d' %{buildroot}%{_defaultdocdir}/libconfig/libconfig.pdf
sed -i '/^\/ID /d' %{buildroot}%{_defaultdocdir}/libconfig/libconfig.pdf

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
%install_info libconfig.info

%preun devel
%uninstall_info libconfig.info

%files
%defattr(-,root,root)
%{_libdir}/libconfig*.so.*
%doc AUTHORS COPYING.LIB

%files devel
%defattr(-,root,root)
#%{_bindir}/libconfig_tests
%{_includedir}/libconfig.h*
%{_libdir}/libconfig*.so
%{_libdir}/pkgconfig/libconfig++.pc
%{_libdir}/pkgconfig/libconfig.pc
%{_defaultdocdir}/libconfig/libconfig.pdf
%{_infodir}/libconfig.info.gz
%doc ChangeLog README TODO

%files static
%defattr(-,root,root)
%{_libdir}/libconfig*.*a

%changelog
* Sun Oct 14 2012 Automatic Build System <autodist@mambasoft.it> 1.4.9-1mamba
- automatic version update by autodist

* Sat Apr 14 2012 Automatic Build System <autodist@mambasoft.it> 1.4.8-1mamba
- automatic version update by autodist

* Thu Mar 17 2011 Automatic Build System <autodist@mambasoft.it> 1.4.7-1mamba
- automatic update by autodist

* Sat Dec 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.6-1mamba
- update to 1.4.6

* Sat Oct 02 2010 gil <puntogil@libero.it> 1.4.5-1mamba
- package created by autospec
